#pragma once
#include <string>

class Hash
{
    static size_t fnv_1(const std::string& text)
    {
        std::size_t hash = 14695981039346656037u;
        for (const char it : text)
        {
            hash *= 1099511628211u;
            hash ^= it;
        }

        return hash;
    }

public:
    static size_t get(const char* text)
    {
        return fnv_1(text);
    }
};